<?php declare(strict_types=1);

/**
 * Plugin Name: Everyware Project Plugin
 * Description: Everyware Project plugin which contains widgets and plugins for the sites
 * Version: 0.8.4
 * Author: Infomaker Scandinavia AB
 */

use Everyware\ProjectPlugin\Config;
use Everyware\ProjectPlugin\ProjectPlugin;
use Infomaker\Everyware\Twig\ViewSetup;
use Everyware\ProjectPlugin\TwigSetup;

// Check so we don't give direct access to file.
if(!defined('WPINC')) {
    die;
}

$twig = new TwigSetup(ViewSetup::getInstance());
$twig->setupTwig();

add_action('after_setup_theme', static function() {
    ViewSetup::getInstance()->init();
});

ProjectPlugin::bootstrap(new Config(basename(__DIR__)));
