<?php

namespace Everyware\ProjectPlugin;

use Infomaker\Everyware\Twig\ViewSetup;
use Infomaker\Everyware\Twig\FilesystemLoader;
use Infomaker\Everyware\Twig\EveryTwig;

class TwigSetup
{
    private $viewSetup;

    private $wpFunctions = [
        '__' => 'translate',
    ];

    public function __construct(ViewSetup $viewSetup)
    {
        $this->viewSetup = $viewSetup;
    }

    public function setupTwig(): void
    {
        $this->viewSetup->setLoader(FilesystemLoader::getInstance());
        $this->viewSetup->setEveryTwig(EveryTwig::getInstance());
        $this->addWpFunctions();
        foreach (ProjectPlugin::getBundleTwigFolders() as $namespace => $path) {
            $this->viewSetup->registerTwigFolder($namespace, $path);
        }
    }

    protected function addWpFunctions()
    {
        foreach ($this->wpFunctions as $wpFunction => $name) {
            $this->viewSetup->addWpFunction($wpFunction, $name);
        }

        return $this;
    }
}
